Name: help2man
Version: 1.47.4
Release: 1
License: GPL-3.0-or-later
Summary: Produces simple manual pages from program output
BuildArch: noarch
Url: https://www.gnu.org/software/help2man

BuildRequires: autoconf
Requires: perl

Source0: http://ftpmirror.gnu.org/help2man/help2man-%{version}.tar.xz

%description
help2man is a tool for automatically generating simple manual pages from
program output.

This program is intended to provide an easy way for software authors to include
a manual page in their distribution without having to maintain that document.

Given a program which produces reasonably standard ‘--help’ and ‘--version’
outputs, help2man can re-arrange that output into something which resembles
a manual page.

%prep
%setup -q

%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --enable-shared \
  --disable-nls \
  --disable-static

%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/help2man
%{_mandir}/man1/help2man.1
%{_infodir}/help2man.info

%changelog
* Mon Dec 2 2019 Abdirahim Musse <abdirahim.musse@ibm.com>
- Use SPDX license identifier
- Wrapped description such that each line does not exceed 80 characters
- Use configure macro

* Thu May 9 2019 Abdirahim Musse <abdirahim.musse@ibm.com>
- Add missing autoconf dependency

* Mon Jun 5 2017 Kevin Adler <kadler@us.ibm.com> 
- Use make_build and make_install macros

* Sun Apr 23 2017 Kevin Adler <kadler@us.ibm.com>
- Remove extra space in Summary lines

* Thu Apr 20 2017 Kevin Adler <kadler@us.ibm.com>
- Add initial spec file
